> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md).

# TableLayoutPanelCellPosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents a cell in a [TableLayoutPanel](/api/wisej.web/containers/tablelayoutpanel.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public struct TableLayoutPanelCellPosition : ValueType
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Structure TableLayoutPanelCellPosition
    Implements ValueType
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) TableLayoutPanelCellPosition(column, row)

Initializes a new instance of the [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) class.

| Name       | Type                                                        | Description                      |
| ---------- | ----------------------------------------------------------- | -------------------------------- |
| **column** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The column position of the cell. |
| **row**    | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The row position of the cell.    |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Column

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the column number of the current [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Row

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the row number of the current [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md).

## Used By

| Name                                                                                                                                       | Description                                                                                                                                                                          |
| ------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [TableLayoutPanel.GetCellPosition](/api/wisej.web/containers/tablelayoutpanel.md#getcellposition-control)                                  | Returns the [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the row and the column of the cell. |
| [TableLayoutSettings.GetCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutsettings.md#getcellposition-control) | Returns the [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the row and the column of the cell. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
